package cokr.xit.ens.core.code.support;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public enum SampleCd implements CodeMapperType {

	CODE1("코드1")
	,CODE2("코드2");

	
	@Getter
	private final String codeNm;
	
	@Override
	public String getCode() {
		return this.name();
	}

}
